## ----include = FALSE----------------------------------------------------------
knitr::opts_chunk$set(
  collapse = TRUE,
  comment = "#>"
)

## ----setup--------------------------------------------------------------------
library(scToppR)
data("pbmc.markers")
head(pbmc.markers)

## ----toppFun_1----------------------------------------------------------------
toppData <- toppFun(markers = pbmc.markers,
                    topp_categories = NULL, 
                    cluster_col = "cluster", 
                    gene_col = "gene",
                    p_val_col = "p_val_adj",
                    logFC_col = "avg_log2FC")


## ----topp_cats----------------------------------------------------------------
get_ToppCats()

## ----toppData_out-------------------------------------------------------------
head(toppData)


## ----toppPlot_1---------------------------------------------------------------
plots <- toppPlot(toppData, category = "GeneOntologyMolecularFunction", clusters = NULL)
plots[1]

## ----toppBalloon--------------------------------------------------------------
toppBalloon(toppData, categories = "GeneOntologyMolecularFunction")

## ----save---------------------------------------------------------------------
toppSave(toppData, filename = "PBMC", split = TRUE, format = "xslx")

## ----sessionInfo--------------------------------------------------------------
sessionInfo()

